Update Resident: Buildium

Update Resident: Buildium | Interface | Method | |---|---| | Rental Tenants | PUT /leases/tenants/:residentId |

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

resident_idstringRequired
The ID of the resource.

Request

This endpoint expects an object.
last_namestringRequired
The last name of the resident. This value maps to the LastName property of the Tenant object
first_namestringRequired
The first name of the resident. This value maps to the FirstName property of the Tenant object
address_1stringRequired<=100 characters
First line of the street address for the resident. This maps to the Address.AddressLine1 property of the primary address of the Tenant object
citystringRequired<=100 characters
City of the resident's primary address. This maps to the Address.City property of the Tenant object.
statestringRequired
State of the resident's primary address. This maps to the Address.State property of the Tenant object.
zipstringRequired

Zip/Postal Code of the resident’s primary address. This maps to the Address.PostalCode property of the Tenant object.

countryenumRequired
Country of the resident's primary address.
Allowed values:
email_1stringOptionalformat: "email"
The primary email address for the resident. This value maps to the Email property of the Tenant object
email_2stringOptionalformat: "email"
An alternate email address for the resident. This value maps to the AlternateEmail property of the Tenant object.
date_of_birthstringOptionalformat: "date-time"
The date of birth of the resident. This value maps to the DateOfBirth property of the Tenant object.
address_2stringOptional<=100 characters
Second line of the street address for the resident. This maps to the Address.AddressLine2 property of the Tenant object.
address_1_alternatestringOptional

First line of the secondary/alternate street address for the resident. This maps to the AlternateAddress.AddressLine1 property of the Tenant object

address_2_alternatestringOptional

Second line of the secondary/alternate street address for the resident. This maps to the AlternateAddress.AddressLine2 property of the Tenant object

city_alternatestringOptional

City of the resident’s secondary/alternate address. This maps to the AlternateAddress.City property of the Tenant object.

state_alternatestringOptional

State of the resident’s secondary/alternate address. This maps to the AlternateAddress.State property of the Tenant object

zip_alternatestringOptional

Zip/Postal Code of the resident’s secondary/alternate address. This maps to the AlternateAddress.PostalCode property of the Tenant object

country_alternateenumOptional

Country of the resident’s secondary/alternate address.

Allowed values:
notesstringOptional
Any notes on the resident. This value maps to the Comment property of the Tenant object.
phone_1stringOptional

Resident’s primary phone number. This will be assumed to be a HOME phone number unless phone_1_type is also set.

phone_1_typeenumOptional
The type of the resident's primary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'.
Allowed values:
phone_2stringOptional

Resident’s secondary phone number. This will be assumed to be a MOBILE phone number unless phone_2_type is also set.

phone_2_typeenumOptional
The type of the resident's secondary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'.
Allowed values:
custom_dataobjectOptionalDeprecated

Deprecated: Field is no longer applicable

Response

Successful response
metaobject
resultobject

Errors